Subject: bug#39953: 27.0.50; [PATCH] explicitly fail if Emacs was configured with but cannot compile native JSON support

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2020 17:49:10 +0200

> From: Stéphane Maniaci <[email-masked]>
> Date: Fri, 6 Mar 2020 12:13:17 +0000
> 
> This patch explicitly fails ./configure if `--with-json' is passed but
> cannot be fulfilled. Which means users without the Jansson headers
> won't be able to compile Emacs unless explicitly disabling it with
> `--without-json'; I don't know if that is too extreme, maybe
> AC_MSG_WARN would be more appropriate, but as long as it's notified in
> some way to the user I'm happy.

I think such handling of optional libraries is generally considered as
annoyance, so we only do that for some specific libraries.

Let's see what others think about this proposal.